Bug 201260 - multimedia/x264: update to 0.144.2533
Summary: multimedia/x264: update to 0.144.2533
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-07-01 21:16 UTC by Andrey Cherkashin
Modified: 2015-07-03 12:14 UTC (History)
0 users

See Also:


Attachments
Patch for x264 port (5.41 KB, patch)
2015-07-01 21:16 UTC, Andrey Cherkashin
no flags Details | Diff
Patch for libx264 port (42.68 KB, patch)
2015-07-01 21:18 UTC, Andrey Cherkashin
no flags Details | Diff
Poudriere testport output (72.91 KB, text/plain)
2015-07-01 21:24 UTC, Andrey Cherkashin
no flags Details
Patch for x264 port (5.41 KB, patch)
2015-07-02 04:39 UTC, Andrey Cherkashin
no flags Details | Diff
Patch for libx264 port (41.91 KB, patch)
2015-07-02 04:41 UTC, Andrey Cherkashin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2015-07-01 21:16:16 UTC
Created attachment 158238 [details]
Patch for x264 port
Comment 1 Andrey Cherkashin 2015-07-01 21:18:17 UTC
Created attachment 158240 [details]
Patch for libx264 port
Comment 2 Andrey Cherkashin 2015-07-01 21:24:30 UTC
Created attachment 158241 [details]
Poudriere testport output
Comment 3 Andrey Cherkashin 2015-07-02 04:39:17 UTC
Created attachment 158245 [details]
Patch for x264 port

- Fix original Makefile patch to use freebsd friendly arch variables 
- Removed patches that were merged to upstream (x264's upsteam)
Comment 4 Andrey Cherkashin 2015-07-02 04:41:47 UTC
Created attachment 158246 [details]
Patch for libx264 port

The same as patch to x264 above.
Comment 5 commit-hook freebsd_committer 2015-07-03 07:03:46 UTC
A commit references this bug:

Author: koobs
Date: Fri Jul  3 07:02:51 UTC 2015
New revision: 391217
URL: https://svnweb.freebsd.org/changeset/ports/391217

Log:
  multimedia/{lib}x264: Update to 0.144.2533 and major refactor

  - Update to 0.144.2533 (from upstream stable branch) [1]
  - Switch x264 and libx264 ports to master/slave ports respectively
  - Bump PORTREVISION for dependent ports as the shared library version
    has changed.

  multimedia/x264:

  - Clean up and update "updating instructions" in Makefile header
  - Tweak COMMENT
  - Only LIB_DEPENDS on libx264 and add PLIST_FILES if this isn't the
    libx264 port.
  - Allow COMMENT, USES, OPTIONS_*, CONFIGURE_ARGS to be overriden in
    libx264 port.
  - Place common configure arguments in a CONFIGURE_COMMON_ARGS variable
    to make overriding values without duplication easier.
  - Use --prefix configure argument over post-patch replacements
  - Enable stripping of binaries and libraries if DEBUG is off. Remove
    post-install target STRIP_CMD accordingly.

  - Delete patch-Makefile in favour of patching WRKSRC/configure to
    identify amd64, arm64 and mipsn32. powerpc and powerpc64 are now
    covered upstream without needing patches.

  - Patch out a bogus compiler argument check (cc_check) that results
    in -Wno-maybe-uninitialized being added to CFLAGS causing causes
    warnings when clang is cc. The cc_check function checks for basename
    $CC to identify compiler type (icl, clang, gcc, etc).

  multimedia/libx264:

  - Remove all Makefile entries that are duplicated or common and found
    in the master port (x264).
  - Set lib as the PKGNAMEPREFIX
  - Tweak COMMENT
  - Delete upstreamed ARM patches [1]
  - Delete all but one patch, as they duplicate those in x264.
  - Dont remove pkgconfig/libdata directory

  Changes:

    https://git.videolan.org/?p=x264.git;a=shortlog;h=refs/heads/stable

  Based on:

  PR:		201260 [1]
  Submitted by:	Andrey Cherkashin <andoriyu gmail com> [1]

Changes:
  head/multimedia/avidemux/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg0/Makefile
  head/multimedia/ffmpeg23/Makefile
  head/multimedia/ffmpeg26/Makefile
  head/multimedia/gstreamer-plugins-x264/Makefile
  head/multimedia/gstreamer1-plugins-x264/Makefile
  head/multimedia/handbrake/Makefile
  head/multimedia/libav/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/libx264/Makefile
  head/multimedia/libx264/files/patch-Makefile
  head/multimedia/libx264/files/patch-common_arm_asm.S
  head/multimedia/libx264/files/patch-common_arm_cpu-a.S
  head/multimedia/libx264/files/patch-common_arm_dct-a.S
  head/multimedia/libx264/files/patch-common_arm_deblock-a.S
  head/multimedia/libx264/files/patch-common_arm_mc-a.S
  head/multimedia/libx264/files/patch-common_arm_pixel-a.S
  head/multimedia/libx264/files/patch-common_arm_predict-a.S
  head/multimedia/libx264/files/patch-common_arm_quant-a.S
  head/multimedia/libx264/files/patch-common_cpu.c
  head/multimedia/libx264/files/patch-configure
  head/multimedia/libx264/pkg-plist
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/msx264/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/transcode/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/x264/distinfo
  head/multimedia/x264/files/patch-Makefile
  head/multimedia/x264/files/patch-common_cpu.c
  head/multimedia/x264/files/patch-configure
  head/net/opal/Makefile
  head/x11/xpra/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-03 07:05:31 UTC
Committed with many many many changes. Thank you Andrey!
Comment 7 commit-hook freebsd_committer 2015-07-03 12:14:16 UTC
A commit references this bug:

Author: koobs
Date: Fri Jul  3 12:14:09 UTC 2015
New revision: 391232
URL: https://svnweb.freebsd.org/changeset/ports/391232

Log:
  multimedia/{lib}x264: Fix distinfo's

  Delete distinfo from libx264 since it is s now subordinate to the x264 port.

  Also correctly update distinfo for x264, including the example.y4m.bz2 video
  file for profile guided optimization (OPTION: PGO).

  PR:		201260
  Reported by:	Ajtim <lumiwa gmail com> (via email)

Changes:
  head/multimedia/libx264/distinfo
  head/multimedia/x264/distinfo